Loading...
Searching...
No Matches
repeat.hpp File Reference

Provides the seqan3::views::repeat. More...

`#include <algorithm>`
`#include <ranges>`
`#include <seqan3/core/detail/iterator_traits.hpp>`
`#include <seqan3/core/range/detail/random_access_iterator.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
Include dependency graph for repeat.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr detail::repeat_fn | seqan3::views::repeat
| A view factory that repeats a given value infinitely.

## Detailed Description

Provides the seqan3::views::repeat.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me